<template>
    <div v-show="successValue!=''" class="success">
        {{successValue}}
    </div>
</template>

<style lang='scss' scoped>
    .success {
        border-radius: 5px;
        border: 1px solid darkgreen;
        color: darkgreen;
        background: lightgreen;
        padding: 10px 20px;
    }
</style>

<script lang='ts'>
    import {Component, Vue} from 'vue-property-decorator';

    const props = {
        successValue: String
    };

    const Base = Vue.extend({props});

    @Component({props})
    export default class SuccessComponent extends Base {

    }
</script>
